2025-03-08  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Release 0.2.3

2025-03-07  Dirk Eddelbuettel  <edd@debian.org>

	* inst/include/toml++/impl/path.h: Adjust for new clang++-20 nag
	on 'whitespace in literal operator declaration' deprecation
	* inst/include/toml++/impl/parser.h: Idem

	* .github/workflows/ci.yaml: Use r-ci setup with implicit bootstrap

2024-10-22  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Authors@R): Added

2024-05-17  Dirk Eddelbuettel  <edd@debian.org>

	* README.md: Use tinyverse.netlify.app for dependency badge

2024-04-02  Dirk Eddelbuettel  <edd@debian.org>

	* .github/workflows/ci.yaml (jobs): Update to actions/checkout@v4,
	add r-ci-setup actions

2023-05-26  Walter Somerville  <waltersom@gmail.com>

	* DESCRIPTION (Imports): Updated minimum version of Rcpp

2023-01-29  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Release 0.2.2

	* inst/include/toml++/toml.h: New upstream version 3.3.0
	* inst/include/toml++/impl/parser.inl: Idem
	* inst/include/toml++/impl/std_new.h: Idem
	* inst/include/toml++/impl/version.h: Idem
	* inst/include/toml++/impl/preprocessor.h: Idem

2023-01-25  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Release 0.2.1

2023-01-24  Dirk Eddelbuettel  <edd@debian.org>

	* inst/include/toml++/impl/preprocessor.h: Updated upstream version

	* src/Makevars (PKG_CPPFLAGS): Define -DTOML_ENABLE_FLOAT16=0 to
	ensure wider ability to build including arm64 and i386

2023-01-10  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Release 0.2.0

	* inst/include/toml++/toml.h: Comment-out diagnostics suppression for
	clang which CRAN Policy frowns upon
	* src/parse.cpp (getValue): Add one explicit cast
	* src/parse.h (collapsedList): Switch one loop variable to R_xlen_t

	* DESCRIPTION (Description,SystemRequirements): Updated

2023-01-09  Dirk Eddelbuettel  <edd@debian.org>

	* README.md: Update for toml++

	* src/parse.cpp: More idiomatic C++17

2023-01-08  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Roll minor version

	* inst/include/toml++: Upgraded to toml++ 3.2.0 replacing cpptoml

	* src/parse.cpp: Updated to cpptoml interface
	* src/parse.h: Split off with declarations and helpers
	* R/parseToml.R: Updated, keeping same interface
	* man/parseTOML.Rd: Updated documentation

	* inst/tinytest/bool_datetime.toml: Added local datetime, date and time
	* inst/tinytest/test_bool_datetime.R: Idem

2022-11-18  Dirk Eddelbuettel  <edd@debian.org>

	* .github/workflows/ci.yaml (jobs): Update to actions/checkout@v3

2021-12-19  Dirk Eddelbuettel  <edd@debian.org>

	* README.md: Remove unused continuous integration artifact and badge

2021-07-21  Dirk Eddelbuettel  <edd@debian.org>

	* inst/NEWS.Rd: Correct some NEWS.Rd formatting

2021-01-13  Dirk Eddelbuettel  <edd@debian.org>

        * .github/workflows/ci.yaml: Add CI runner using r-ci
	* README.md: Add new badge

2020-12-03  Dirk Eddelbuettel  <edd@debian.org>

	* .travis.yml: Actually source from r-ci

2020-12-01  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Release 0.1.7

	* man/parseTOML.Rd: Update URL to https://toml.io/en/
	* man/RcppTOML-package.Rd: Idem
	* inst/NEWS.Rd: Idem
	* DESCRIPTION: Idem

	* README.md: Idem, also update three more URLs

	* .travis.yml: Use r-ci with focal and bspm for CI

2020-11-30  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Roll minor version

	* inst/include/cpptoml.h: Add limits header for g++-11 (also sent
	upstream as PR #123)
	* cleanup: Use /bin/sh to not depend on bash [CRAN]

2020-05-23  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Roll minor version

	* README.md: Add 'last commit' badge

	* .travis.yml: Updated to 'bionic' and R 4.0.0

2019-06-29  Dirk Eddelbuettel  <edd@debian.org>

	* .travis.yml (install): Use r-cran-tinytest from PPA

2019-06-26  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (SystemRequirements, Description): State g++ requires
	4.9.3 or newer; remove 'modern' before C++11 as it is standard now

2019-06-25  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Release 0.1.6

	* README.md (tinytest): Mention post-install testing

2019-06-24  Václav Hausenblas  <vencahaus@seznam.cz>

	* inst/tinytest/test_examples.R: Refine UTF-8 test for Windows

2019-06-24  Dirk Eddelbuettel  <edd@debian.org>

	* inst/tinytest/test_bool_datetime.R: Skip some on tests on Solaris
        * inst/tinytest/test_dates_times.R: Idem
        * inst/tinytest/test_examples.R: Idem
        * inst/tinytest/test_misc.R: Idem

2019-06-22  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Roll minor version

        * inst/tinytest/test_misc.R: Added, based on tests/strings.R
        * inst/tinytest/test_strings.R: Added, based on tests/strings.R
	* inst/tinytest/strings.toml: Moved from tests/tables.toml
        * inst/tinytest/test_tables.R: Added, based on tests/tables.R
	* inst/tinytest/tables.toml: Moved from tests/tables.toml
	* inst/tinytest/test_examples.R: Added, based on tests/tomlExamples.R
        * inst/tinytest/toml_example-v0.4.0.toml: Moved from
	  tests/toml_example-v0.4.0.toml
        * inst/tinytest/toml_example.toml: Moved from tests/toml_example.toml
        * inst/tinytest/toml_hard_example.toml: Moved from
	  tests/toml_hard_example.toml

        * tests/*.Rout.save: Moved old test results to local/old_tests/

	* .codecov.yml (coverage): Make patch behaviour more quiet

	* ChangeLog: Add entries for PRs since last release
	* inst/NEWS: Idem

2019-06-21  Dirk Eddelbuettel  <edd@debian.org>

        * .travis.yml (install): Install tinytest

        * inst/tinytest/test_bool_datetime.R: Added, based on
	  tests/bool_datetime.R
	* inst/tinytest/bool_datetime.toml: Moved from
	  tests/bool_datetime.toml
	* inst/tinytest/test_float.R: Added, based on inst/tinytest/float.R
        * inst/tinytest/float.toml: Moved from tests/float.toml
        * inst/tinytest/test_integer.R: Added, based on tests/integer.R
        * inst/tinytest/integer.toml: Moved from tests/integer.toml

2019-06-20  Dirk Eddelbuettel  <edd@debian.org>

	* inst/tinytest/test_arrays.R: Moved from tests/arrays.R
	* inst/tinytest/arrays.toml: Moved from tests/arrays.toml

2019-06-19  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION: Added Suggests: tinytest
	* tests/tinytest.R: Added

	* inst/tinytest/test_dates_times.R: Added, based on
	  tests/dates_and_times.R
	* inst/tinytest/dates_times.toml: Moved from
	  tests/dates_and times.toml

2019-05-14  Watal M. Iwasaki  <heavy.watal@gmail.com>

	* README.md: Correct to state v0.5.0 support for TOML standard

2019-04-27  Václav Hausenblas  <vencahaus@seznam.cz>

	* src/parse.cpp: Encoding in arrays ensures all strings are UTF-8

2019-01-23  Václav Hausenblas  <vencahaus@seznam.cz>

	* src/parse.cpp: Escape switch to calls of \code{getTable()} and
	\code{getArray()}

2018-10-31  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Release 0.1.5

	* man/parseTOML.Rd: Reformat example to fit line length

2018-10-26  Václav Hausenblas  <vencahaus@seznam.cz>

	* src/parse.cpp: Encoding of strings returned by the parser declared
	as UTF-8
	* R/parseToml.R: Non-file text inputs are converted to UTF-8 if
	necessary
	* man/parseTOML.Rd: Documentation

2018-10-25  Dirk Eddelbuettel  <edd@debian.org>

	* src/parse.cpp (getValue): Support local time

2018-10-24  Václav Hausenblas  <vencahaus@seznam.cz>

	* src/parse.cpp: New flag 'escape' to support escape chars
	* R/parseToml.R: Idem
	* man/parseTOML.Rd: Documentation

2018-10-23  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Release 0.1.4

	* README.md: Added dependencies badge

2018-10-22  Dirk Eddelbuettel  <edd@debian.org>

	* inst/include/cpptoml.h: Synchronised with (fixed) upstream with
	support for TOML v0.5.0

	* tests/dates_and_times.toml: New tests
	* tests/dates_and_times.R: Invocation for new tests

2018-09-02  Dirk Eddelbuettel  <edd@debian.org>

	* .travis.yml: Minor update to commented-out PPA for R 3.5

2017-11-16  Dirk Eddelbuettel  <edd@debian.org>

	* inst/include/cpptoml.h: Added '// #nocov' tags
	* inst/include/includize.hpp: Idem
	* inst/include/toml.hpp: Idem

2017-11-14  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): New minor version

	* src/parse.cpp (tomlparseImpl): New argument 'includize'

	* R/parseToml.R (parseTOML): Support new argument
	* man/parseTOML.Rd: Document it

	* tests/misc.R: Added test for parse from string, summary()
	* tests/misc.Rout.save: Reference output

	* src/init.c: Removed, registration now in src/RcppExports.cpp

2017-11-13  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): New minor version

	* src/parse.cpp (tomlparseImpl): Add support for includize
	pre-processor; add its toml.hpp header

	* inst/include/includize.hpp: Included copy from @dcdillon's repo
	* inst/include/toml.hpp: Idem

	* inst/include/includize.hpp (includize): Do without codecvt

	* .travis.yml: Upgrade gcc and g++ to 4.9

2017-05-02  Dirk Eddelbuettel  <edd@debian.org>

	* src/parse.cpp (tomlparseImpl): Convert the StretchyList to List
	when inserting so they are seen as Lists in R (cf discussion in #16)

	* tests/arrays.Rout.save: Update reference output
	* tests/tomlExamples.Rout.save: Idem

2017-04-25  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Release 0.1.3

2017-04-24  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Roll minor version

	* src/parse.cpp (getTable): Nested TableArray types are now
	recognised; condition print statement on verbose mode

	* tests/arrays.Rout.save: Update reference output
	* tests/tomlExamples.Rout.save: Idem

2017-03-26  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Release 0.1.2

	* src/init.c (R_init_RcppTOML): all R_registerRoutines()
	and R_useDynamicSymbols()
	* NAMESPACE: Use .registration=TRUE on useDynLib

        * LICENSE: Added to repository
        * .Rbuildignore: Do not include LICENSE in package

	* inst/toml/ex4.toml (bla): Uncomment Datetimevector

	* inst/toml/example.toml: Updated to upstream README.md version

	* README.md: Expanded with example and screenshot
	* local/emacsAndTOML.png: Added for README
        * .Rbuildignore: Do not include local/ in package

2017-03-25  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Roll minor version

	* src/parse.cpp (tomlparseImpl): Correct TableArray type assignment

	* tests/arrays.Rout.save: Update reference output
	* tests/tomlExamples.Rout.save: Ditto

	* .codecov.yml (comment): Add coverage support
	* .travis.yml: Ditto

2017-03-17  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Roll minor version

	* src/parse.cpp (collapsedList): Preserve type for Date and
	Datetime vectors as well as boolean vectors

2017-02-12  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Release 0.1.1

2017-02-08  Dirk Eddelbuettel  <edd@max.eddelbuettel.com>

	* inst/include/cpptoml.h: Sync'ed with cpptoml upstream

2017-01-29  Dirk Eddelbuettel  <edd@debian.org>

	* R/parseToml.R: Output from print.toml() method without final
	NULL

        * tests/arrays.Rout.save: Updated reference output
        * tests/bool_datetime.Rout.save: Idem
        * tests/float.Rout.save: Idem
        * tests/integer.Rout.save: Idem
        * tests/strings.Rout.save: Idem
        * tests/tables.Rout.save: Idem
        * tests/tomlExamples.Rout.save: Idem

2017-01-24  Dirk Eddelbuettel  <edd@debian.org>

	* src/parse.cpp (tomlparseImpl): Suppport TOML parsing from a
	character variable (with thanks to Charles for a hint in #7)

	* R/parseToml.R (parseTOML): Additional argument to select
	filemode (default) or parse from character

	* man/parseTOML.Rd: Document new argument

2017-01-23  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): New minor version

	* src/parse.cpp: Extended to support local_date(time)

	* inst/toml/ex2.toml: Extended for new types

2017-01-22  Dirk Eddelbuettel  <edd@debian.org>

	* inst/include/cpptoml.h: Sync'ed with cpptoml upstream

2017-01-05  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION: Release 0.1.0

	* inst/include/cpptoml.h: Sync'ed with cpptoml upstream

	* src/parse.cpp: Added copyright header
	* R/parseToml.R: Idem

	* .travis.yml: Switch to using run.sh for Travis CI

	* README.md: Updated

	* inst/NEWS.Rd: Added

2017-01-04  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): New minor version
	(BugReports, URL): Added

	* src/parse.cpp (local_timegm): Restore parts of old behaviour

	* src/Makevars.win: Added

	* .travis.yml: Use trusty, also dump logs on failure

2017-01-03  Devin Pastoor  <devin.pastoor@gmail.com>

	* src/parse.cpp (local_timegm): On Windows, use Rcpp::mktime00 (as
	suggested by Dirk in GitHub Issue #5)

2015-12-19  Dirk Eddelbuettel  <edd@debian.org>

 	* DESCRIPTION: Release 0.0.5

2015-12-17  Dirk Eddelbuettel  <edd@debian.org>

	* inst/include/cpptoml.h: Sync'ed with cpptoml upstream

	* src/parse.cpp: Small accomodations for changed cpptoml.h

	* tests/float.toml: No longer attempt to parse double number which
	previously overflowed and is now rejected by cpptoml
	* tests/toml_example-v0.4.0.toml: Ditto
	* tests/float.Rout.save: Ditto
	* tests/tomlExamples.Rout.save: Ditto

2015-07-16  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION: Release 0.0.4

2015-07-15  Dirk Eddelbuettel  <edd@debian.org>

	* inst/include/cpptoml.h: Minor update to upstream version

	* R/parseToml.R: Use utils::str() instead of str()

	* DESCRIPTION: More quoting of terms, rolled Version and Date

2015-07-09  Dirk Eddelbuettel  <edd@debian.org>

	* src/parse.cpp (collapsedList): Ensure list has content before
	iterating over it

2015-04-27  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION: Release 0.0.3

	* DESCRIPTION: More quoting of terms, rolled Version and Date, added URL

	* src/parse.cpp (local_timegm): Expand if defined() to Apple and BSDs

2015-04-25  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION: Renamed to RcppTOML, rolled Version and Date
	* NAMESPACE: Renamed to RcppTOML
	* README.md: Ditto
	* man/RcppTOML-package.Rd: Ditto
	* tests/*: Ditto

	* R/parseToml.R: Main function is parseTOML() now, keep aliases

	* README.md: Update current status, added Travis CI shield

	* man/RcppTOML-package.Rd: Expanded examples section and aliases

	* man/parseTOML.Rd: New manual page for main function

	* R/parseToml.R: Support verbose argument

	* src/parse.cpp (local_timegm): Add wrapper for timegm() using TZ
	resetting dance for OSs which do not have timegm()

2015-04-24  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (OS_type): Set to unix while Windows still labours
	along with a non-C++11 compiler

	* src/parse.cpp (getValue): Use timegm() as we are translating a UTC
	time into time_t, not a local time

	* tests/*.R: Simplify tests call as we no longer need explicit sorting
	* tests/*.Rout.save: Update reference output as well

	* .travis.yml: Set g++-4.9 via update-alternatives

2015-04-23  Dirk Eddelbuettel  <edd@debian.org>

	* src/Makevars: Enable compile-time option to use std::map now that
	out pull request to cpptoml.h has been accepted
	* R/parseToml.R: Beginnings of an R class wrapper with simple print
	and summary methods

2015-04-20  Dirk Eddelbuettel  <edd@debian.org>

	* src/parse.cpp (tomlparse): Added one missing if (verbose)

2015-04-19  Dirk Eddelbuettel  <edd@debian.org>

	* R/sort.R (.sort): Add internal sort function to recursively sort
	objects returned as the C++ unordered_hash representation leads to
	different returns on different platforms (eg 32 vs 64 Linux)

2015-04-04  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (OS_type): Mention need for a genuine C++11 compiler

	* tests/toml_example.toml: Added regression tests from toml-lang repo
	* tests/toml_hard_example.toml: Ditto
	* teststoml_example-v0.4.0.toml: Ditto (with line 56 edited)
	* tests/tomlExamples.R: Added caller for toml examples
	* tests/tomlExamples.Rout.save: Added reference output

2015-04-03  Dirk Eddelbuettel  <edd@debian.org>

	* .travis.yml: Added, later disabled as Travis appears to be
	currently borked for new projects requiring C++11

2015-04-02  Dirk Eddelbuettel  <edd@debian.org>

	* src/parse.cpp: Simplification / correction to ordering; recursion
	into table_array

2015-04-02  Dirk Eddelbuettel  <edd@debian.org>

	* src/parse.cpp: Now with nested arrays

2015-04-01  Dirk Eddelbuettel  <edd@debian.org>

	* src/parse.cpp: Arrays are now 'flattened' into vectors

2015-03-31  Dirk Eddelbuettel  <edd@debian.org>

	* src/parse.cpp: Basic array functionality; nested tables; basic
	value types, 'verbose' flag

2015-03-30  Dirk Eddelbuettel  <edd@debian.org>

	* src/parse.cpp: Beginnings of package; use StretchyList
